# Update a subscription Use this call to make the following kinds of changes to a subscription: - Add a note - Change the renewal term or auto-renewal flag - Change the term length or change between evergreen and termed - Add a new product rate plan - Remove an existing subscription rate plan - Change the quantity or price of an existing subscription rate plan - Change rate plans - to replace the existing rate plans in a subscription with other rate plans. Changing rate plans is currently not supported for the Billing - Revenue Integration feature. When Billing - Revenue Integration is enabled, changing rate plans will no longer be applicable in Zuora Billing. ### Notes: - The "Update a subscription" call creates a new subscription object that has a new version number and to which the subscription changes are applied. The new subscription object has the same subscription name but a new, different, subscription ID. The Status field of the new subscription object will be set to Active unless the change applied was a cancelation or suspension in which case the status reflects that. The Status field of the originating subscription object changes from Active to Expired. A status of Expired does not imply that the subscription itself has expired or ended, merely that this subscription object is no longer the most recent. - In one request, this call can make: - Up to 9 combined add, update, and remove changes - No more than 1 change to terms & conditions - Updates are performed in the following sequence: 1. First change the notes on the existing subscription, if requested. 2. Then change the terms and conditions, if requested. 3. Then perform the remaining amendments based upon the effective dates specified. If multiple amendments have the same contract-effective dates, then execute adds before updates, and updates before removes. - The update operation is atomic. If any of the updates fails, the entire operation is rolled back. - The response of the Update Subscription call is based on the REST API minor version you set in the request header. The response structure might be different if you use different minor version numbers. - If you have the Invoice Settlement feature enabled, it is best practice to set the Zuora-Version parameter to 211.0 or later available versions. Otherwise, an error occurs. ### Override a Tiered Price There are two ways you override a tiered price: - Override a specific tier number. For example: tiers[{tier:1,price:8},{tier:2,price:6}] - Override the entire tier structure. For example: tiers[{tier:1,price:8,startingUnit:1,endingUnit:100,priceFormat:"FlatFee"}, {tier:2,price:6,startingUnit:101,priceFormat:"FlatFee"}] If you just override a specific tier, do not include the startingUnit field in the request. Endpoint: PUT /v1/subscriptions/{subscription-key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `subscription-key` (string, required) Subscription number or ID. ID can be the latest version or any history version of ID. * To make sure you update the last version of the subscription, use one of the following operations to retrieve the last version of ID: * List subscriptions by account key * Retrieve a subscription by key by using the subscription number as the subscription-key * If you want to use any history version of ID, the STABLE_ID_PUBLIC_API permission must be enabled. Submit a request at Zuora Global Support to enable the permission. To retrieve a history version of ID, use the Retrieve a subscription by key and version operation. ## Request fields (application/json): - `add` (array) Container for adding one or more rate plans. - `add.bookingDate` (string) The booking date that you want to set for the amendment contract. The booking date of an amendment is the equivalent of the order date of an order. This field must be in the yyyy-mm-dd format. The default value is the current date when you make the API call. - `add.chargeOverrides` (array) This optional container is used to override the quantity of one or more product rate plan charges for this subscription. - `add.chargeOverrides.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is not updatable. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `add.chargeOverrides.applyDiscountTo` (string) Specifies the type of charges that you want a specific discount to apply to. Values: * ONETIME * RECURRING * USAGE * ONETIMERECURRING * ONETIMEUSAGE * RECURRINGUSAGE * ONETIMERECURRINGUSAGE Available for the following charge type for the Discount-Fixed Amount and Discount-Percentage charge models: * Recurring - `add.chargeOverrides.billCycleDay` (string) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. Values: 1-31 Available for the following charge types: * Recurring * Usage-based - `add.chargeOverrides.billCycleType` (string) Specifies how to determine the billing day for the charge. When this field is set to SpecificDayofMonth, set the BillCycleDay field. When this field is set to SpecificDayofWeek, set the weeklyBillCycleDay field. Values: * DefaultFromCustomer * SpecificDayofMonth * SubscriptionStartDay * ChargeTriggerDay * SpecificDayofWeek Available for the following charge types: * Recurring * Usage-based - `add.chargeOverrides.billingPeriod` (string) Billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). When you renew a subscription, the current subscription term is extended by creating a new term. If any charge in your subscription has the billing period set as SubscriptionTerm, a new charge segment is generated for the new term. Values: * Month * Quarter * Semi_Annual * Annual * Eighteen_Months * Two_Years * Three_Years * Five_Years * Specific_Months * Subscription_Term * Week * Specific_Weeks Available for the following charge types: * Recurring * Usage-based - `add.chargeOverrides.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: * AlignToCharge * AlignToSubscriptionStart * AlignToTermStart Available for the following charge types: * Recurring * Usage-based - `add.chargeOverrides.billingTiming` (string) Billing timing for the charge for recurring charge types. Not avaliable for one time, usage and discount charges. Values: * IN_ADVANCE (default) * IN_ARREARS - `add.chargeOverrides.chargeModelConfiguration` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. These charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `add.chargeOverrides.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `add.chargeOverrides.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `add.chargeOverrides.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `add.chargeOverrides.description` (string) Description of the charge. - `add.chargeOverrides.discountAmount` (number) Specifies the amount of fixed-amount discount. Available for the following charge type for the Discount-Fixed Amount charge model: * Recurring - `add.chargeOverrides.discountLevel` (string) Specifies if the discount applies to the product rate plan only , the entire subscription, or to any activity in the account. Values: * rateplan * subscription * account Available for the following charge type for the Discount-Fixed Amount and Discount-Percentage charge models: * Recurring - `add.chargeOverrides.discountPercentage` (number) Specifies the percentage of a percentage discount. Available for the following charge type for the Discount-Percentage charge model: * Recurring - `add.chargeOverrides.endDateCondition` (string) Defines when the charge ends after the charge trigger date. If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Values: * Subscription_End * Fixed_Period * Specific_End_Date * One_Time - `add.chargeOverrides.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `add.chargeOverrides.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `add.chargeOverrides.includedUnits` (number) Specifies the number of units in the base set of units for this charge. Must be >=0. Available for the following charge type for the Overage charge model: * Usage-based - `add.chargeOverrides.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `add.chargeOverrides.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `add.chargeOverrides.listPriceBase` (string) The list price base for the product rate plan charge. Values: * Per_Billing_Period * Per_Month * Per_Week * Per_Year * Per_Specific_Months Available for the following charge type for the Flat Fee, Per Unit, Volume Pricing, and Tiered Pricing charge models: * Recurring - `add.chargeOverrides.number` (string) Unique number that identifies the charge. System-generated if not provided. - `add.chargeOverrides.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. Available for the following charge type for the Overage and Tiered with Overage charge models: * Usage-based - `add.chargeOverrides.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is not updatable. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `add.chargeOverrides.overagePrice` (number) Price for units over the allowed amount. Available for the following charge type for the Overage and Tiered with Overage charge models: * Usage-based - `add.chargeOverrides.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: * NoCredit * CreditBySpecificRate Available for the following charge type for the Overage and Tiered with Overage charge models: * Usage-based - `add.chargeOverrides.price` (number) Price for units in the subscription rate plan. Supports all charge types for the Flat Fee and Per Unit charge models - `add.chargeOverrides.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. The Zuora Billing Admin setting Enable Automatic Price Change When Subscriptions are Renewed? must be set to Yes to use this field. See Define Default Subscription Settings for more information on setting this option. Values: * NoChange (default) * SpecificPercentageValue * UseLatestProductCatalogPricing Available for the following charge types: * Recurring * Usage-based * Not available for the Fixed-Amount Discount charge model. - `add.chargeOverrides.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Required if you set the PriceChangeOption field to SpecificPercentageValue. Decimal between -100 and 100. Available for the following charge types: * Recurring * Usage-based Not available for the Fixed-Amount Discount charge model. - `add.chargeOverrides.productRatePlanChargeId` (string, required) - `add.chargeOverrides.productRatePlanChargeNumber` (string) Number of a product rate-plan charge for this subscription. - `add.chargeOverrides.quantity` (number) Number of units. Must be >=0. Available for the following charge types for the Per Unit, Volume Pricing, and Tiered Pricing charge models: * One-time * Recurring - `add.chargeOverrides.ratingGroup` (string) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `add.chargeOverrides.specificBillingPeriod` (integer) Specifies the number of month or week for the charges billing period. Required if you set the value of the billingPeriod field to Specific_Months or Specific_Weeks. Available for the following charge types: * Recurring * Usage-based - `add.chargeOverrides.specificEndDate` (string) Defines when the charge ends after the charge trigger date. This field is only applicable when the endDateCondition field is set to Specific_End_Date. If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `add.chargeOverrides.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `add.chargeOverrides.tiers` (array) Container for Volume, Tiered or Tiered with Overage charge models. Supports the following charge types: * One-time * Recurring * Usage-based - `add.chargeOverrides.tiers.endingUnit` (number) End number of a range of units for the tier. - `add.chargeOverrides.tiers.price` (number, required) Price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. - `add.chargeOverrides.tiers.priceFormat` (string) Indicates if pricing is a flat fee or is per unit. Values: * FlatFee * PerUnit - `add.chargeOverrides.tiers.startingUnit` (number) Starting number of a range of units for the tier. - `add.chargeOverrides.tiers.tier` (integer, required) Unique number that identifies the tier that the price applies to. - `add.chargeOverrides.triggerDate` (string) Specifies when to start billing the customer for the charge. Required if the triggerEvent field is set to USD. - `add.chargeOverrides.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: * UCE * USA * UCA * USD - `add.chargeOverrides.unusedUnitsCreditRates` (number) Specifies the rate to credit a customer for unused units of usage. This field applies only for overage charge models when the OverageUnusedUnitsCreditOption field is set to CreditBySpecificRate. Available for the following charge type for the Overage and Tiered with Overage charge models: * Usage-based - `add.chargeOverrides.upToPeriods` (integer) The period type used to define when the charge ends. Values: * Billing_Periods * Days * Weeks * Months * Years You must use this field together with the upToPeriods field to specify the time period. This field is applicable only when the endDateCondition field is set to Fixed_Period. - `add.chargeOverrides.upToPeriodsType` (string) The period type used to define when the charge ends. Values: * Billing_Periods * Days * Weeks * Months * Years You must use this field together with the upToPeriods field to specify the time period. This field is applicable only when the endDateCondition field is set to Fixed_Period. - `add.contractEffectiveDate` (string, required) The date when the amendment changes take effect. The format of the date is yyyy-mm-dd. If there is already a future-dated Update Product amendment on the subscription, the specificUpdateDate field will be used instead of this field to specify when the Update Product amendment takes effect. - `add.customerAcceptanceDate` (string) The date when the customer accepts the contract in yyyy-mm-dd format. If this field is not set: * If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. * If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `add.externalCatalogPlanId` (string) An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. Note: If both externalCatalogPlanId and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `add.externalIdSourceSystem` (string) The ID of the external source system. You can use this field and externalCatalogPlanId to specify a product rate plan that is imported from an external system. Note: If both externalCatalogPlanId, externalIdSourceSystem and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `add.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `add.productRatePlanId` (string) ID of a product rate plan for this subscription - `add.productRatePlanNumber` (string) Number of a product rate plan for this subscription - `add.serviceActivationDate` (string) The date when the new product in the subscription is activated in yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `applicationOrder` (array) The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: CreditMemo, UnappliedPayment. Note: - This field is valid only if the applyCredit field is set to true. - If no value is specified for this field, the default priority order is used, ["CreditMemo", "UnappliedPayment"], to apply credit memos first and then apply unapplied payments. - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is ["CreditMemo"], only credit memos are used to apply to invoices. - `applyCredit` (boolean) Whether to automatically apply credit memos or unapplied payments, or both to an invoice. If the value is true, the credit memo or unapplied payment, or both will be automatically applied to the invoice. If no value is specified or the value is false, no action is taken. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `applyCreditBalance` (boolean) Whether to automatically apply a credit balance to an invoice. If the value is true, the credit balance is applied to the invoice. If the value is false, no action is taken. To view the credit balance adjustment, retrieve the details of the invoice using the Get Invoices method. Prerequisite: invoice must be true. Note: - If you are using the field invoiceCollect rather than the field invoice, the invoiceCollect value must be true. - This field is deprecated if you have the Invoice Settlement feature enabled. - `autoRenew` (boolean) If true, this subscription automatically renews at the end of the subscription term. Default is false. Example: true - `bookingDate` (string) The booking date that you want to set for the contract when you change the termType field of the subscription and as a result get a new version of subscription created. The booking date of an amendment is the equivalent of the order date of an order. This field must be in the yyyy-mm-dd format. The default value is the current date when you make the API call. - `change` (array) Use this field to change one or more rate plans - to replace the existing rate plans in a subscription with other rate plans. Note: Changing rate plans is currently not supported for the Billing - Revenue Integration feature. When Billing - Revenue Integration is enabled, changing rate plans will no longer be applicable in Zuora Billing. - `change.chargeOverrides` (array) This optional container is used to override one or more product rate plan charges for this subscription. - `change.contractEffectiveDate` (string) Effective date of the new subscription, as yyyy-mm-dd. - `change.customerAcceptanceDate` (string) The date when the customer accepts the contract in yyyy-mm-dd format. When this field is not set: * If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. * If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `change.effectivePolicy` (string) The default value for the effectivePolicy field is as follows: * If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default. * If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default. * Otherwise, the effective policy is SpecificDate by default. Notes: * When setting this field to EffectiveEndOfBillingPeriod, you cannot set the billing trigger dates for the subscription as the system will automatically set the trigger dates to the end of billing period. * When setting this field to SpecificDate, you must also set the contractEffectiveDate field. Enum: "EffectiveImmediately", "EffectiveEndOfBillingPeriod", "SpecificDate" - `change.externalCatalogPlanId` (string) An external ID of the rate plan to be removed. You can use this field to specify an existing rate plan in your subscription. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. However, if there are multiple rate plans with the same productRatePlanId value existing in the subscription, you must use the ratePlanId field to remove the rate plan. The externalCatalogPlanId field cannot be used to distinguish multiple rate plans in this case. Note: Provide only one of externalCatalogPlanId, ratePlanId or productRatePlanId. If more than one field is provided then the request would fail. - `change.newExternalCatalogPlanId` (string) An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. Note: Provide only one of newExternalCatalogPlanId or newProductRatePlanId. If both fields are provided then the request would fail. - `change.newExternalIdSourceSystem` (string) The ID of the external source system. You can use this field and newExternalCatalogPlanId to specify a product rate plan that is imported from an external system. Note: If both newExternalCatalogPlanId, newExternalIdSourceSystem and newProductRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `change.newProductRatePlanId` (string) ID of a product rate plan for this subscription. - `change.newProductRatePlanNumber` (string) Number of a product rate plan for this subscription. - `change.productRatePlanId` (string) ID of the product rate plan that the removed rate plan is based on. - `change.productRatePlanNumber` (string) Number of a product rate plan for this subscription. - `change.ratePlanId` (string) ID of a rate plan to remove. Note that the removal of a rate plan through the Change Plan amendment supports the function of removal before future-dated removals, as in a Remove Product amendment. - `change.resetBcd` (boolean) If resetBcd is true then reset the Account BCD to the effective date; if it is false keep the original BCD. - `change.serviceActivationDate` (string) The date when the change in the subscription is activated in yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `change.subType` (string) Use this field to choose the sub type for your change plan amendment. However, if you do not set this field, the field will be automatically generated by the system according to the following rules: When the old and new rate plans are within the same Grading catalog group: * If the grade of new plan is greater than that of the old plan, this is an "Upgrade". * If the grade of new plan is less than that of the old plan, this is a "Downgrade". * If the grade of new plan equals that of the old plan, this is a "Crossgrade". When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is "PlanChanged". Enum: "Upgrade", "Downgrade", "Crossgrade", "PlanChanged" - `change.subscriptionRatePlanNumber` (string) Number of a rate plan for this subscription. - `collect` (boolean) Collects an automatic payment for a subscription. The collection generated in this operation is only for this subscription, not for the entire customer account. If the value is true, the automatic payment is collected. If the value is false, no action is taken. Prerequisite: The invoice or runBilling field must be true. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 196.0 or a later available version. - `creditMemoReasonCode` (string) A code identifying the reason for the credit memo transaction that is generated by the request. The value must be an existing reason code. If you do not pass the field or pass the field with empty value, Zuora uses the default reason code. - `currentTerm` (integer) The length of the period for the current subscription term. If termType is TERMED, this field is required and must be greater than 0. If termType is EVERGREEN, this value is ignored. - `currentTermPeriodType` (string) The period type for the current subscription term. This field is used with the CurrentTerm field to specify the current subscription term. Values are: * Month (default) * Year * Day * Week - `documentDate` (string) The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos. - If this field is specified, the specified date is used as the billing document date. - If this field is not specified, the date specified in the targetDate is used as the billing document date. - `externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `includeExistingDraftDocItems` (boolean) Specifies whether to include draft invoice items in subscription previews. Values are: * true (default). Includes draft invoice items in the preview result. * false. Excludes draft invoice items in the preview result. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 207.0 or a later available version. - `invoiceSeparately` (boolean) Separates a single subscription from other subscriptions and invoices the charge independently. If the value is true, the subscription is billed separately from other subscriptions. If the value is false, the subscription is included with other subscriptions in the account invoice. The default value is false. Prerequisite: The default subscription setting Enable Subscriptions to be Invoiced Separately must be set to Yes. - `notes` (string) The notes for the subscription. - `preview` (boolean) If true the update is made in preview mode. The default setting is false. - `previewType` (string) The type of preview you will receive. Note: If your API minor version is earlier than 206.0 or you specify the Zuora-Version header for this request to 206.0 or earlier, the following values are supported for the previewType field: - InvoiceItem (default) - ChargeMetrics - InvoiceItemChargeMetrics Enum: "LegalDoc", "ChargeMetrics", "LegalDocChargeMetrics" - `remove` (array) Container for removing one or more rate plans. - `remove.externalCatalogPlanId` (string) An external ID of the rate plan to be removed. You can use this field to specify an existing rate plan in your subscription. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. However, if there are multiple rate plans with the same productRatePlanId value existing in the subscription, you must use the ratePlanId field to remove the rate plan. The externalCatalogPlanId field cannot be used to distinguish multiple rate plans in this case. Note: If both externalCatalogPlanId and ratePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `remove.ratePlanId` (string) ID of a rate plan for this subscription. This can be the latest version or any history version of ID. - `remove.serviceActivationDate` (string) The date when the remove amendment is activated in yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Values are: * RENEW_WITH_SPECIFIC_TERM (default) * RENEW_TO_EVERGREEN - `renewalTerm` (integer) The length of the period for the subscription renewal term. Default is 0. - `renewalTermPeriodType` (string) The period type for the subscription renewal term. This field is used with the renewalTerm field to specify the subscription renewal term. Values are: * Month (default) * Year * Day * Week - `runBilling` (boolean) Creates an invoice for a subscription. If you have the Invoice Settlement feature enabled, a credit memo might also be created based on the [invoice and credit memo generation rule](https://knowledgecenter.zuora.com/CB_Billing/Invoice_Settlement/Credit_and_Debit_Memos/Rules_for_Generating_Invoices_and_Credit_Memos). The billing documents generated in this operation is only for this subscription, not for the entire customer account. This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 211.0 or a later available version. Possible values: - true: An invoice is created. If you have the Invoice Settlement feature enabled, a credit memo might also be created. - false: No invoice is created. - `targetDate` (string) Date through which to calculate charges if an invoice or a credit memo is generated, as yyyy-mm-dd. Default is current date. Note: The credit memo is only available if you have the Invoice Settlement feature enabled. This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 211.0 or a later available version. - `termStartDate` (string) Date the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date. - `termType` (string) Possible values are: TERMED, EVERGREEN. - `update` (array) Container for updating one or more rate plans. - `update.chargeUpdateDetails` (array) Container for one or more product rate plan charges. - `update.chargeUpdateDetails.includedUnits` (number) Specifies the number of units in the base set of units for this charge. Must be >=0. Available for the following charge type for the Overage charge model: * Usage-based - `update.chargeUpdateDetails.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. The Billing Admin setting Enable Automatic Price Change When Subscriptions are Renewed? must be set to Yes to use this field. Values: * NoChange (default) * SpecificPercentageValue * UseLatestProductCatalogPricing Available for the following charge types: * Recurring * Usage-based Not available for the Fixed-Amount Discount charge model. - `update.chargeUpdateDetails.quantity` (number) Quantity of units; must be greater than zero. - `update.chargeUpdateDetails.ratePlanChargeId` (string, required) ID of a rate-plan charge for this subscription. It can be the latest version or any history version of ID. - `update.chargeUpdateDetails.triggerDate` (string) Specifies when to start billing the customer for the charge. Required if the triggerEvent field is set to USD. triggerDate cannot be updated for the following using the REST update subscription call: * One-time charge type * Discount-Fixed Amount charge model * Discount-Percentage charge model - `update.chargeUpdateDetails.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: * UCE * USA * UCA * USD This is the date when charge changes in the REST request become effective. triggerEvent cannot be updated for the following using the REST update subscription call: * One-time charge type * Discount-Fixed Amount charge model * Discount-Percentage charge model - `update.externalCatalogPlanId` (string) An external ID of the rate plan to be updated. You can use this field to specify an existing rate plan in your subscription. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. However, if there are multiple rate plans with the same productRatePlanId value existing in the subscription, you must use the ratePlanId field to update the rate plan. The externalCatalogPlanId field cannot be used to distinguish multiple rate plans in this case. Note: If both externalCatalogPlanId and ratePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `update.serviceActivationDate` (string) The date when the update amendment is activated in yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `update.specificUpdateDate` (string) The date when the Update Product amendment takes effect. This field is only applicable if there is already a future-dated Update Product amendment on the subscription. The format of the date is yyyy-mm-dd. Required only for Update Product amendments if there is already a future-dated Update Product amendment on the subscription. - `CpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `OpportunityCloseDate__QT` (string) The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `OpportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Project__NS` (string) The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SalesOrder__NS` (string) The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `chargeMetrics` (object) Container for charge metrics. This field is available only if the preview field in the request body is true. - `chargeMetrics.dmrr` (string) Change in total contract value. - `chargeMetrics.dtcv` (string) Change in monthly recurring revenue. - `chargeMetrics.mrr` (string) Monthly recurring revenue. - `chargeMetrics.number` (string) The charge number of the subscription. Only available for update subscription. - `chargeMetrics.originRatePlanId` (string) The origin rate plan ID. Only available for update subscription. - `chargeMetrics.originalId` (string) The original rate plan charge ID. Only available for update subscription. - `chargeMetrics.productRatePlanChargeId` (string) - `chargeMetrics.productRatePlanId` (string) - `chargeMetrics.tcv` (string) Total contract value. - `creditMemo` (object) Container for credit memos. This field is available only if the preview field in the request body is true. Note: This container is only available if you set the Zuora REST API minor version to 207.0 or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version) in the request header, and you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `creditMemo.amount` (number) Credit memo amount. - `creditMemo.amountWithoutTax` (number) Credit memo amount minus tax. - `creditMemo.creditMemoItems` (array) - `creditMemo.creditMemoItems.amountWithoutTax` (number) The credit memo item amount excluding tax. - `creditMemo.creditMemoItems.chargeAmount` (number) The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax - `creditMemo.creditMemoItems.chargeDescription` (string) Description of this credit memo item. - `creditMemo.creditMemoItems.chargeName` (string) Name of this credit memo item. - `creditMemo.creditMemoItems.productName` (string) Name of the product associated with this credit memo item. - `creditMemo.creditMemoItems.productRatePlanChargeId` (string) ID of the product rate plan charge associated with this credit memo item. - `creditMemo.creditMemoItems.quantity` (integer) Quantity of the charge associated with this credit memo item. - `creditMemo.creditMemoItems.serviceEndDate` (string) End date of the service period for this credit memo item, as yyyy-mm-dd. - `creditMemo.creditMemoItems.serviceStartDate` (string) Service start date of this credit memo item, as yyyy-mm-dd. - `creditMemo.creditMemoItems.taxAmount` (number) The tax amount of the credit memo item. - `creditMemo.creditMemoItems.taxationItems` (array) List of taxation items. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 315.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `creditMemo.creditMemoItems.taxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `creditMemo.creditMemoItems.taxationItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `creditMemo.creditMemoItems.taxationItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `creditMemo.creditMemoItems.taxationItems.name` (string) The name of the taxation item. - `creditMemo.creditMemoItems.taxationItems.taxAmount` (number) The tax amount of the invoice item. - `creditMemo.creditMemoItems.taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice. - `creditMemo.creditMemoItems.taxationItems.taxCodeDescription` (string) The description of the tax code. - `creditMemo.creditMemoItems.taxationItems.taxDate` (string) The date when the tax is applied to the invoice. - `creditMemo.creditMemoItems.taxationItems.taxRate` (number) The tax rate applied to the invoice. - `creditMemo.creditMemoItems.taxationItems.taxRateDescription` (string) The description of the tax rate. - `creditMemo.creditMemoItems.taxationItems.taxRateType` (string) Enum:"Percentage" "FlatFee". The type of the tax rate applied to the invoice. Enum: "Percentage", "FlatFee" - `creditMemo.creditMemoItems.unitOfMeasure` (string) Unit used to measure consumption. - `creditMemo.taxAmount` (number) Tax amount on the credit memo. - `creditMemoId` (string) The credit memo ID. This field is available only if the preview field in the request body is false and a credit memo is generated during the update. Note: This container is only available if you set the Zuora REST API minor version to 207.0 or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version) in the request header, and you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `invoice` (object) Container for invoices. This field is available only if the preview field in the request body is true. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). Also, the response structure is changed and the following invoice related response fields are moved to this invoice container: * amount * amountWithoutTax * taxAmount * invoiceItems * targetDate - `invoice.amount` (number) Invoice amount. - `invoice.amountWithoutTax` (number) Invoice amount minus tax. - `invoice.invoiceItems` (array) Container for invoice items. - `invoice.invoiceItems.chargeAmount` (number) The amount of the charge. This amount doesn't include taxes unless the charge's tax mode is inclusive. - `invoice.invoiceItems.chargeDescription` (string) Description of the charge. - `invoice.invoiceItems.chargeName` (string) Name of the charge - `invoice.invoiceItems.productName` (string) Name of the product associated with this item. - `invoice.invoiceItems.quantity` (number) Quantity of this item. - `invoice.invoiceItems.serviceEndDate` (string) End date of the service period for this item, i.e., the last day of the period, as yyyy-mm-dd. - `invoice.invoiceItems.serviceStartDate` (string) Service start date as yyyy-mm-dd. If the charge is a one-time fee, this is the date of that charge. - `invoice.invoiceItems.taxationItems` (array) List of taxation items. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 315.0 or a later available version. - `invoice.invoiceItems.unitOfMeasure` (string) - `invoice.targetDate` (string) Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `invoice.taxAmount` (number) The tax amount of the invoice. - `invoiceId` (string) The ID of the generated invoice. This field is available only if the preview field in the request body is false and an invoice is generated during the update. - `invoiceItems` (array) Container for invoice items. This field is available only if the preview field in the request body is true. - `paidAmount` (number) Payment amount, if a payment is collected - `paymentId` (string) Payment ID, if a payment is collected. - `subscriptionId` (string) The ID of the resulting new subscription. - `success` (boolean) Returns true if the request was processed successfully. - `targetDate` (string) Date through which to calculate charges if an invoice is generated, as yyyy-mm-dd. Default is current date. This field is available only if the preview field in the request body is true. Note: This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 207.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `taxAmount` (number) Tax amount on the invoice. This field is available only if the preview field in the request body is true. - `totalDeltaMrr` (number) Change in the subscription monthly recurring revenue as a result of the update. - `totalDeltaTcv` (number) Change in the total contracted value of the subscription as a result of the update. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.